Skip to main content
GET
/
partner
/
kyc-sessions
/
{id}
Get KYC session
curl --request GET \
  --url https://api.contro.me/v1/partner/kyc-sessions/{id} \
  --header 'x-contro-api-key: <api-key>'
{
  "id": "ks_abc123",
  "status": "creating",
  "externalUserId": "<string>",
  "url": "<string>",
  "expiresAt": "<string>",
  "createdAt": "<string>"
}

Authorizations

x-contro-api-key
string
header
required

Partner API key (sk_live_* for production, sk_test_* for sandbox)

Path Parameters

id
string
required

KYC session ID

Example:

"ks_abc123"

Response

KYC session details

id
string
required

KYC session ID

Example:

"ks_abc123"

status
enum<string>
required

Session status

Available options:
creating,
pending,
completed,
expired,
failed
externalUserId
string | null
required

Partner's user identifier

url
string | null
required

Sumsub WebSDK URL for the user to complete KYC

expiresAt
string
required

ISO 8601 session expiry timestamp

createdAt
string
required

ISO 8601 creation timestamp